Summary:        Minimalistic C client library for Redis
Name:           hiredis
Version:        1.0.2
Release:        6%{?dist}
License:        BSD
URL:            https://github.com/redis/hiredis
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make openssl-devel redis

%description 
Hiredis is a minimalistic C client library for the Redis database.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build PREFIX="%{_prefix}" LIBRARY_PATH="%{_lib}"     \
            DEBUG="%{optflags}" LDFLAGS="%{?__global_ldflags}" USE_SSL=1

%install
%make_install PREFIX="%{_prefix}" LIBRARY_PATH="%{_lib}"

find %{buildroot} -name '*.a' -delete -print

%check
make check || true

%files
%license COPYING
%{_libdir}/libhiredis.so.1.0.0

%files devel
%doc CHANGELOG.md README.md
%{_includedir}/%{name}/
%{_libdir}/libhiredis.so
%{_libdir}/pkgconfig/hiredis.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Shuo Wang <abushwang@tencent.com> - 1.0.2-1
- initial build
